<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

    <!-- External CSS -->
    <link rel="stylesheet" href="./index.css">

    <title>Document</title>
</head>
<body>
    <div class="container">
        <h1 class="text-center">Profile Summary Creator</h1>
        <form id="profileForm">
            <div class="form-row w-50 mx-auto">
                <div class="form-group col-12">
                    <label for="firstName">First Name:</label>
                    <input type="text" class="form-control" name="firstName" id="firstName" autocomplete required>
                </div>
                
                <div class="form-group col-12">
                    <label for="lastName">Last Name:</label>
                    <input type="text" class="form-control" name="lastName" id="lastName" autocomplete required>
                </div>
                <div class="form-group col-12">
                    <label for="age">Age:</label>
                    <input type="number" class="form-control" name="age" id="age" min="0" required>
                </div>
                <div class="form-group col-12">
                    <label for="currentJob">Current Job:</label>
                    <input type="text" class="form-control" name="currentJob" id="currentJob" required>
                </div>
                <div class="form-group col-12">
                    <label for="reasonForCareerShift">Reason for Career Shift:</label>
                    <textarea class="form-control" name="reasonForCareerShift" id="reasonForCareerShift"  rows="5"></textarea>
                </div>
                <div class="form-group col-12">
                    <label for="futureGoals">Future Goals:</label>
                    <textarea class="form-control" name="futureGoals" id="futureGoals" rows="5"></textarea>
                </div>            
            </div>
            <div class="row flex-column">
                <button type="button" class="btn mx-auto" onclick="createProfileSummary()">Create Summary</button>
                <button type="reset" class="btn mx-auto">Reset</button>
            </div>
        </form>
        <div class="row button-group">
            <button type="button" class="btn mx-auto d-none" id="createAnotherSummaryBtn" onclick="createAnotherSummary()">Create Another</button>
        </div>
    </div>

    
    <div class="container">
        <h2 class="text-center">Upgrade to Premium Account</h2>
        <form id="subscriptionForm">
            <div class="form-row w-50 mx-auto text-center">
                <div class="form-group col-6">
                    <h3><label for="monthlySubs">$49/mo</label></h3>
                    <input type="radio" name="subscription" id="monthlySubs" value="yes">
                    <label for="monthlySubs">Monthly Subscription</label>
                    <p>Create Unlimited Profile Summary</p>
                    <p>Cancel Anytime</p>
                </div>
                <div class="form-group col-6">
                    <h3><label for="yearlySubs">$470/yr</label></h3>
                    <input type="radio" name="subscription" id="yearlySubs" value="no">
                    <label for="yearlySubs">Yearly Subscription</label>
                    <p>Create Unlimited Profile Summary</p>
                    <p>Cancel Anytime</p>
                    <p>Save 20%</p>
                </div>
            </div>
            <div class="row flex-column">
                <button type="button" class="btn mx-auto" id="subscriptionBtn" onclick="subscribe()">Subscribe</button>
                <button type="button" class="btn mx-auto" id="subscriptionCheckBtn" onclick="checkPlan()">Check your plan</button>
            </div>
        </form>
    </div>

    <div class="container">
        <h2 class="text-center">Choose Your Theme</h2>
        <div class="row theme-button-group justify-content-center">
            <div class="col-1 text-center">
                <input type="radio" name="theme-button" class="theme-button-blue" id="blue">
                <label for="blue" id="blue-label"></label>
            </div>
            <div class="col-1 text-center">
                <input type="radio" name="theme-button" class="theme-button-orange" id="orange">
                <label for="orange" id="orange-label"></label>
            </div>
            <div class="col-1 text-center">
                <input type="radio" name="theme-button" class="theme-button-pink" id="pink">
                <label for="pink" id="pink-label"></label>
            </div>
        </div>
    </div>

    <div class="container">
        <h2 class="text-center">Zuitt Coding Bootcamp Batch 163</h2>
        <div class="row batch163-fullNames">
            <table class="table table-striped table-bordered table-hover table-sm">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">First Name</th>
                        <th scope="col">Last Name</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>

    <div class="container">
        <h2 class="text-center">Count, Add and Remove Students</h2>
        <div class="row">
            <div class="col-12 totalStudentsDiv">
            </div>
            <div class="col-12">
                <h3>Add a Student in the Beginning</h3>
                <p>(See console for the result)</p>
                <button type="button" class="btn" onclick="addNewElementInTheBeginning()">Add</button>
                <label for="addFirstNameInBeginning">First Name:</label>
                <input type="text" id="addFirstNameInBeginning">
                <label for="addLastNameInBeginning">Last Name:</label>
                <input type="text" id="addLastNameInBeginning">
            </div>
            <div class="col-12">
                <h3>Add a Student in the End</h3>
                <p>(See console for the result)</p>
                <button type="button" class="btn" onclick="addNewElementInTheEnd()">Add</button>
                <label for="addFirstNameInEnd">First Name:</label>
                <input type="text" id="addFirstNameInEnd">
                <label for="addLastNameInEnd">Last Name:</label>
                <input type="text" id="addLastNameInEnd">
            </div>
            <div class="col-12 d-flex align-items-center">
                <button type="button" class="btn mr-3" onclick="remove1elementFromStart()">Remove</button>
                <h3>Remove a Student in the Beginning</h3>
                <p>(See console for the result)</p>
            </div>
            <div class="col-12 d-flex align-items-center">
                <button type="button" class="btn mr-3" onclick="remove1elementFromEnd()">Remove</button>
                <h3>Remove a Student in the End</h3>
                <p>(See console for the result)</p>
            </div>
            <div class="col-12 find-index">
                <h3>Find the Index</h3>
                <button type="button" class="btn" onclick="findIndexOf()">Find</button>
                <label for="findIndexFirstName">First Name:</label>
                <input type="text" id="findIndexFirstName">
                <label for="findIndexLastName">Last Name:</label>
                <input type="text" id="findIndexLastName">
            </div>
        </div>
    </div>
    
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

    <!-- External JS -->
    <script src="./index.js"></script>
</body>
</html>